%define upstream_name    Mozilla-CA
%define upstream_version 20221114

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Mozilla's CA cert bundle in PEM format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mozilla/%{upstream_name}-%{upstream_version}.tar.gz
# Use CA bundle from ca-certificates package, RHBZ#738383
Patch0:     Mozilla-CA-20211114-Redirect-to-ca-certificates-bundle.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: rootcerts >= 1:20121229.00
Requires:   rootcerts >= 1:20121229.00
BuildArch:  noarch

%description
Mozilla::CA provides a copy of Mozilla's bundle of Certificate Authority
certificates in a form that can be consumed by modules and libraries based
on OpenSSL.

The module provide a single function:

* SSL_ca_file()

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .orig

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Nov 16 2022 tv <tv> 20221114.0.0-1.mga9
+ Revision: 1907904
- update to 20221114

* Mon Mar 21 2022 umeabot <umeabot> 20211001.0.0-2.mga9
+ Revision: 1815030
- Mageia 9 Mass Rebuild

* Mon Oct 04 2021 tv <tv> 20211001.0.0-1.mga9
+ Revision: 1749309
- update to 20211001
- update to 20200520

* Thu May 21 2020 shlomif <shlomif> 20200520.0.0-1.mga8
+ Revision: 1586626
- update to 20200520

* Wed Feb 12 2020 umeabot <umeabot> 20180117.0.0-3.mga8
+ Revision: 1505503
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 20180117.0.0-2.mga7
+ Revision: 1285105
- Mageia 7 Mass Rebuild

* Thu Mar 15 2018 tv <tv> 20180117.0.0-1.mga7
+ Revision: 1209616
- update to 20180117
- rediff patch

* Sun Jun 19 2016 pterjan <pterjan> 20160104.0.0-2.mga6
+ Revision: 1030768
- Rebuild for perl 5.22.2

* Mon Jan 25 2016 luigiwalser <luigiwalser> 20160104.0.0-1.mga6
+ Revision: 927248
- 20160104

* Sun Sep 06 2015 sander85 <sander85> 20150826.0.0-1.mga6
+ Revision: 873564
- update to 20150826

* Tue Jun 23 2015 sander85 <sander85> 20141217.0.0-1.mga6
+ Revision: 840008
- update to 20141217

* Wed Oct 15 2014 umeabot <umeabot> 20130114.0.0-6.mga5
+ Revision: 740650
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 20130114.0.0-5.mga5
+ Revision: 727676
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 20130114.0.0-4.mga5
+ Revision: 685606
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 20130114.0.0-3.mga4
+ Revision: 523458
- Mageia 4 Mass Rebuild

* Tue Apr 30 2013 oden <oden> 20130114.0.0-2.mga3
+ Revision: 411601
- sync with perl-Mozilla-CA-20130114-2.fc19.src.rpm
- use the latest 20130114 version
- Stupid package!!!. Force it to use the up-to-date certdata.txt file from the
  rootcerts package and regenerate the bundled lib/Mozilla/CA/cacert.pem file
  at build time. For security reasons this package (perl-Mozilla-CA) should be
  rebuilt each time the rootcerts package has been updated.

* Sun Jan 13 2013 umeabot <umeabot> 20120823.0.0-2.mga3
+ Revision: 370396
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 20120823.0.0-1.mga3
+ Revision: 286340
- update to 20120823

* Tue Jun 05 2012 jquelin <jquelin> 20120309.0.0-1.mga3
+ Revision: 255179
- update to 20120309

* Wed Jan 25 2012 jquelin <jquelin> 20120118.0.0-1.mga2
+ Revision: 200934
- update to 20120118

* Wed Oct 26 2011 takashi <takashi> 20111025.0.0-1.mga2
+ Revision: 158210
- update to 20111025

* Mon Sep 26 2011 jquelin <jquelin> 20110914.0.0-1.mga2
+ Revision: 148136
- update to 20110914

* Tue Apr 12 2011 jquelin <jquelin> 20110409.0.0-1.mga1
+ Revision: 83780
- update to 20110409

* Sun Mar 20 2011 jquelin <jquelin> 20110301.0.0-1.mga1
+ Revision: 74893
- imported package perl-Mozilla-CA

